| [Resources][TOC] | [Next: ADDRESSMODIFYCODE]

# ADD

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  N/A

Element

  N/A

Command-line Option

  `-add` folder1 ...
  `-add <` single-message

## Description

The ADD resource instructs MHonArc to add messages to an existing archive. The archive specified does not exist, MHonArc will automatically create the archive. If input is coming from standard in, then the input is treated as a single message to add to the archive.

When adding, MHonArc will skip any messages that already exists in the archive. This allows one to have MHonArc rescan a mail folder to only add any new messages found.

NOTE: | MHonArc determines duplicate messages by message-ids.

## Default Setting

Off

## Resource Variables

N/A

## Examples

The following example shows adding a mail folder:

    prompt> mhonarc -outdir /home/ehood/mailarch -add inbox

The following shows how a single message can be added. The message comes from the output of the MH show program:

    prompt> show -noshow -noheader | mhonarc -add

## Version

1.0

## See Also

OUTDIR, RECONVERT

| [Resources][TOC] | [Next: ADDRESSMODIFYCODE]